Le forum de XCAS

Xcas: un logiciel libre de calcul formel
Nous sommes actuellement le Mer Avr 25, 2018 12:22 pm

Heures au format UTC




Publier un nouveau sujet Répondre au sujet  [ 5 messages ] 
Auteur Message
 Sujet du message: pb dependances
MessagePublié: Dim Mai 29, 2016 10:58 am 
Hors-ligne

Inscrit le: Lun Sep 28, 2015 6:17 pm
Messages: 9
Bonjour en voulant installer Xcas en suivant la procédure décrite ici : https://www-fourier.ujf-grenoble.fr/~parisse/install_fr

Ajout du depot stable (en old ca ne marche pas du tout)
sudo update ...
et avec l'installation de giac j'ai ce message :

giac:
Dépend: libblas3gf but it is not installable ou
libblas.so.3gf mais ne peut être installé ou
libatlas3gf-base mais ne peut être installé
Dépend: libgsl0ldbl (>=1.9) but it is not installable
Dépend: liblapack3gf but it is not installable ou
liblapack.so.3gf mais ne peut être installé ou
libatlas3gf-base mais ne peut être installé
Dépend : libmpfi0 mais ne doit pas être installé
Dépend: libntl-5.4.2 but it is not installable
Dépend: libpari-gmp3 (>=2.5.0-1) but it is not installable


Je suis sous ubuntu 16 Lxde avec un raspberry pi 3.

Avez vous une idée de la manière dont il faut installer Xcas sur un pi 3 ? (ou installer ces dependances qui ne sont pas sous la version 16.4)
Merci beaucoup


Haut
 Profil  
 
 Sujet du message: Re: pb dependances
MessagePublié: Lun Mai 30, 2016 5:36 am 
Hors-ligne

Inscrit le: Mar Déc 20, 2005 4:02 pm
Messages: 4301
Aucune idee. Je ne sais meme pas si l'architecture est compatible, est-ce bien du arm? Pour arm, je compile de temps en temps une version sur un hercules ecafe avec une distrib qui commence a etre un peu vieille. J'avais essaye d'installer sur un rasp. le package mais ca n'etait pas compatible au niveau architecture.


Haut
 Profil  
 
 Sujet du message: Re: pb dependances
MessagePublié: Lun Mai 30, 2016 7:16 pm 
Hors-ligne

Inscrit le: Lun Sep 28, 2015 6:17 pm
Messages: 9
ce qui m'etonne c'est que sous ubuntu les packages n'existent pas
oui c'est bien du ARM il dispose d'un processeur Broadcom BCM2837 64 bit à quatre cœurs ARM Cortex-A53 à 1,2 GHz


Haut
 Profil  
 
 Sujet du message: Re: pb dependances
MessagePublié: Mar Mai 31, 2016 5:54 am 
Hors-ligne

Inscrit le: Mar Déc 20, 2005 4:02 pm
Messages: 4301
Les packages n'existent pas? Ca marche comment alors?
Le plus simple c'est sans doute d'essayer de le compiler vous-meme, en commencant par installer gmp et gcc/g++ uniquement pour voir si giac compile.


Haut
 Profil  
 
 Sujet du message: Re: pb dependances
MessagePublié: Mar Mai 31, 2016 7:48 am 
Hors-ligne

Inscrit le: Lun Sep 28, 2015 6:17 pm
Messages: 9
Je me suis mal exprimé, je voulais parler des dépendances ... sur mon ubuntu 16 ordi portable ca passe reste a voir pourquoi ca ne passe pas sur mon pi3.
Sur le pi 3 le module cas de geogebra fonctionne...


Haut
 Profil  
 
Afficher les messages publiés depuis:  Trier par  
Publier un nouveau sujet Répondre au sujet  [ 5 messages ] 

Heures au format UTC


Qui est en ligne ?

Utilisateurs parcourant actuellement ce forum : Aucun utilisateur inscrit et 8 invités


Vous ne pouvez pas publier de nouveaux sujets dans ce forum
Vous ne pouvez pas répondre aux sujets dans ce forum
Vous ne pouvez pas éditer vos messages dans ce forum
Vous ne pouvez pas supprimer vos messages dans ce forum
Vous ne pouvez pas insérer de pièces jointes dans ce forum

Rechercher pour:
Sauter vers:  
cron
Powered by phpBB® Forum Software © phpBB Group
Traduction réalisée par Maël Soucaze © 2009 phpBB.fr